# Class TreeExpansionEvent

java.lang.Object
java.util.EventObject
org.eclipse.jface.viewers.TreeExpansionEvent

All Implemented Interfaces:
  `Serializable`

public class TreeExpansionEvent extends EventObject
Event object describing a tree node being expanded or collapsed. The source of these events is the tree viewer.

See Also:
  - `ITreeViewerListener`
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`TreeExpansionEvent(AbstractTreeViewer source, Object element)`
Creates a new event for the given source and element.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getElement()`
Returns the element that got expanded or collapsed.
`AbstractTreeViewer`
`getTreeViewer()`
Returns the originator of the event.

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TreeExpansionEvent

public TreeExpansionEvent(AbstractTreeViewer source, Object element)
Creates a new event for the given source and element.

Parameters:
  `source` - the tree viewer
  `element` - the element

## Method Details

### getElement

public Object getElement()
Returns the element that got expanded or collapsed.

Returns:
  the element

### getTreeViewer

public AbstractTreeViewer getTreeViewer()
Returns the originator of the event.

Returns:
  the originating tree viewer